Note de ce sujet :
  • Moyenne : 0 (0 vote(s))
  • 1
  • 2
  • 3
  • 4
  • 5
Version de darktable
#1
Bonjour jais chercher a installer darktable su mon notebook medion pour l'avoir aussi sur cette ordinateur, se pendant je nais pu installer que la version 3.4.1, alors qu'il existe la version 3.6 sortie sais été.
Je travail sur Ubuntu
Jais taper la commande suivante pour l'avoir:

sudo apt-get install darktable

Donc la question ais; que faut il taper comme commande pour qu'elle se mette à jour ver la nouvelle version.

Merci d'avance pour votre aide.
Répondre
#2
Bonjour supervie,

La procédure est décrite sur cette page (en anglais).

Pour une version 20.04 d'Ubuntu par exemple, il faut saisir dans un terminal les commandes suivantes :
Code :
echo 'deb http://download.opensuse.org/repositories/graphics:/darktable/xUbuntu_20.04/ /' | sudo tee /etc/apt/sources.list.d/graphics:darktable.list
curl -fsSL https://download.opensuse.org/repositories/graphics:darktable/xUbuntu_20.04/Release.key | gpg --dearmor | sudo tee /etc/apt/trusted.gpg.d/graphics_darktable.gpg > /dev/null
sudo apt update
sudo apt install darktable
Il y a des descriptions de commandes pour d'autres versions d'Ubuntu.

Ainsi, ce sera la dernière version stable de dt qui sera installée, la 3.6.
Ubuntu 20.04 + dt stable depuis 3.6
Pentax K-3 II + objectifs Pentax et Sigma

Répondre
#3
(12-09-21, 16:20)manu a écrit : Bonjour supervie,

La procédure est décrite sur cette page (en anglais).

Pour une version 20.04 d'Ubuntu par exemple, il faut saisir dans un terminal les commandes suivantes :
Code :
echo 'deb http://download.opensuse.org/repositories/graphics:/darktable/xUbuntu_20.04/ /' | sudo tee /etc/apt/sources.list.d/graphics:darktable.list
curl -fsSL https://download.opensuse.org/repositories/graphics:darktable/xUbuntu_20.04/Release.key | gpg --dearmor | sudo tee /etc/apt/trusted.gpg.d/graphics_darktable.gpg > /dev/null
sudo apt update
sudo apt install darktable
Il y a des descriptions de commandes pour d'autres versions d'Ubuntu.

Ainsi, ce sera la dernière version stable de dt qui sera installée, la 3.6.
Jais bien tenter sens success, il semble que jais oublier un truc, jais fait ses commande si pour tenter d'avoir la dernière vertion de darktable:
pascal@medion:~$ su echo 'deb http://download.opensuse.org/repositorie...ntu_20.04/ /' | sudo tee /etc/apt/sources.list.d/graphics:darktable.list
su: user echo does not exist or the user entry does not contain all the required fields
[sudo] Mot de passe de pascal :
pascal@medion:~$  curl -fsSL https://download.opensuse.org/repositori...elease.key | gpg --dearmor | sudo tee /etc/apt/trusted.gpg.d/graphics_darktable.gpg > /dev/null
La commande « curl » n'a pas été trouvée, mais peut être installée avec :
sudo snap install curl  # version 7.78.0, or
sudo apt  install curl  # version 7.74.0-1ubuntu2.1
Voir « snap info curl » pour des versions additionelles.
gpg: aucune donnée OpenPGP valable n'a été trouvée.
pascal@medion:~$  sudo apt update
Atteint :1 http://ch.archive.ubuntu.com/ubuntu hirsute InRelease
Réception de :2 http://ch.archive.ubuntu.com/ubuntu hirsute-updates InRelease [115 kB]
Réception de :3 http://security.ubuntu.com/ubuntu hirsute-security InRelease [110 kB]
Réception de :4 http://ch.archive.ubuntu.com/ubuntu hirsute-backports InRelease [101 kB]
Réception de :5 http://ch.archive.ubuntu.com/ubuntu hirsute-updates/main amd64 DEP-11 Metadata [93.8 kB]
Réception de :6 http://ch.archive.ubuntu.com/ubuntu hirsute-updates/universe amd64 DEP-11 Metadata [55.1 kB]
Réception de :7 http://ch.archive.ubuntu.com/ubuntu hirsute-updates/multiverse amd64 DEP-11 Metadata [944 B]
Réception de :8 http://ch.archive.ubuntu.com/ubuntu hirsute-backports/universe amd64 DEP-11 Metadata [9’348 B]
Réception de :9 http://security.ubuntu.com/ubuntu hirsute-security/main amd64 DEP-11 Metadata [7’940 B]
Réception de :10 http://security.ubuntu.com/ubuntu hirsute-security/universe amd64 DEP-11 Metadata [3’888 B]
497 ko réceptionnés en 2s (278 ko/s)
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances... Fait
Lecture des informations d'état... Fait     
Tous les paquets sont à jour.
pascal@medion:~$  sudo apt install darktable
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances... Fait
Lecture des informations d'état... Fait     
darktable est déjà la version la plus récente (3.4.1-1build1).
Le paquet suivant a été installé automatiquement et n'est plus nécessaire :
  libllvm11
Veuillez utiliser « sudo apt autoremove » pour le supprimer.
0 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.
pascal@medion:~$ sudo apt autoremove
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances... Fait
Lecture des informations d'état... Fait     
Les paquets suivants seront ENLEVÉS :
  libllvm11
0 mis à jour, 0 nouvellement installés, 1 à enlever et 0 non mis à jour.
Après cette opération, 83.4 Mo d'espace disque seront libérés.
Souhaitez-vous continuer ? [O/n] o
(Lecture de la base de données... 192305 fichiers et répertoires déjà installés.
)
Suppression de libllvm11:amd64 (1:11.0.1-2ubuntu4) ...
Traitement des actions différées (« triggers ») pour libc-bin (2.33-0ubuntu5) ..
.
pascal@medion:~$ darktable
pascal@medion:~$
Répondre
#4
C'est sudo et non su...

Le plus simple est de commencer par :
Code :
sudo -i

Et saisir son mot de passe de session Ubuntu.

Puis enchaîner les autres commandes.
Ubuntu 20.04 + dt stable depuis 3.6
Pentax K-3 II + objectifs Pentax et Sigma

Répondre
#5
(12-09-21, 16:54)manu a écrit : C'est sudo et non su...

Le plus simple est de commencer par :
Code :
sudo -i

Et saisir son mot de passe de session Ubuntu.

Puis enchaîner les autres commandes.
Je veux bien mais dé que je taps sudo, voici les problème qu'il me pose;
sudo
usage: sudo -h | -K | -k | -V
usage: sudo -v [-AknS] [-g group] [-h host] [-p prompt] [-u user]
usage: sudo -l [-AknS] [-g group] [-h host] [-p prompt] [-U user] [-u user]
            [command]
usage: sudo [-AbEHknPS] [-r role] [-t type] [-C num] [-D directory] [-g group]
            [-h host] [-p prompt] [-R directory] [-T timeout] [-u user]
            [VAR=value] [-i|-s] [<command>]
usage: sudo -e [-AknS] [-r role] [-t type] [-C num] [-D directory] [-g group]
            [-h host] [-p prompt] [-R directory] [-T timeout] [-u user] file ...
pascal@medion:~$
Répondre
#6
Normal puisque c'est sudo -i qu'il faut taper...
Ubuntu 20.04 + dt stable depuis 3.6
Pentax K-3 II + objectifs Pentax et Sigma

Répondre
#7
(12-09-21, 16:54)manu a écrit : C'est sudo et non su...

Le plus simple est de commencer par :
Code :
sudo -i

Et saisir son mot de passe de session Ubuntu.

Puis enchaîner les autres commandes.

Jais bien tenter mais ou ais l'érreur stp, sa aurais du marché non, voici le retour:
pascal@medion:~$ sudo -i
[sudo] Mot de passe de pascal :
root@medion:~# echo 'deb http://download.opensuse.org/repositorie...ntu_20.04/ /' | sudo tee /etc/apt/sources.list.d/graphics:darktable.list
deb http://download.opensuse.org/repositorie...ntu_20.04/ /
root@medion:~#  curl -fsSL https://download.opensuse.org/repositori...elease.key | gpg --dearmor | sudo tee /etc/apt/trusted.gpg.d/graphics_darktable.gpg > /dev/null
La commande « curl » n'a pas été trouvée, mais peut être installée avec :
snap install curl  # version 7.78.0, or
apt  install curl  # version 7.74.0-1ubuntu2.1
Voir « snap info curl » pour des versions additionelles.
gpg: aucune donnée OpenPGP valable n'a été trouvée.
root@medion:~# sudo apt update
Atteint :1 http://ch.archive.ubuntu.com/ubuntu hirsute InRelease
Réception de :2 http://download.opensuse.org/repositorie...untu_20.04  InRelease [1’530 B]
Atteint :3 http://ch.archive.ubuntu.com/ubuntu hirsute-updates InRelease     
Atteint :4 http://ch.archive.ubuntu.com/ubuntu hirsute-backports InRelease   
Réception de :5 http://security.ubuntu.com/ubuntu hirsute-security InRelease [110 kB]
Err :2 http://download.opensuse.org/repositorie...untu_20.04  InRelease
  Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 040524A84C70D8B5
Lecture des listes de paquets... Fait
W: Erreur de GPG : http://download.opensuse.org/repositorie...untu_20.04  InRelease : Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 040524A84C70D8B5
E: Le dépôt http://download.opensuse.org/repositorie...untu_20.04  InRelease n'est pas signé.
N: Les mises à jour depuis un tel dépôt ne peuvent s'effectuer de manière sécurisée, et sont donc désactivées par défaut.
N: Voir les pages de manuel d'apt-secure(8) pour la création des dépôts et les détails de configuration d'un utilisateur.
root@medion:~# sudo apt install darktable
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances... Fait
Lecture des informations d'état... Fait     
darktable est déjà la version la plus récente (3.4.1-1build1).
0 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.
root@medion:~# echo 'deb http://download.opensuse.org/repositorie...ntu_20.04/ /' | sudo tee /etc/apt/sources.list.d/graphics:darktable.list
deb http://download.opensuse.org/repositorie...ntu_20.04/ /
root@medion:~#  curl -fsSL https://download.opensuse.org/repositori...elease.key | gpg --dearmor | sudo tee /etc/apt/trusted.gpg.d/graphics_darktable.gpg > /dev/null
La commande « curl » n'a pas été trouvée, mais peut être installée avec :
snap install curl  # version 7.78.0, or
apt  install curl  # version 7.74.0-1ubuntu2.1
Voir « snap info curl » pour des versions additionelles.
gpg: aucune donnée OpenPGP valable n'a été trouvée.
root@medion:~#  sudo apt update
Atteint :1 http://ch.archive.ubuntu.com/ubuntu hirsute InRelease
Réception de :2 http://download.opensuse.org/repositorie...untu_20.04  InRelease [1’530 B]
Atteint :3 http://ch.archive.ubuntu.com/ubuntu hirsute-updates InRelease     
Atteint :4 http://ch.archive.ubuntu.com/ubuntu hirsute-backports InRelease   
Err :2 http://download.opensuse.org/repositorie...untu_20.04  InRelease
  Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 040524A84C70D8B5
Réception de :5 http://security.ubuntu.com/ubuntu hirsute-security InRelease [110 kB]
Lecture des listes de paquets... Fait
W: Erreur de GPG : http://download.opensuse.org/repositorie...untu_20.04  InRelease : Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 040524A84C70D8B5
E: Le dépôt http://download.opensuse.org/repositorie...untu_20.04  InRelease n'est pas signé.
N: Les mises à jour depuis un tel dépôt ne peuvent s'effectuer de manière sécurisée, et sont donc désactivées par défaut.
N: Voir les pages de manuel d'apt-secure(8) pour la création des dépôts et les détails de configuration d'un utilisateur.
root@medion:~#  sudo apt install darktable
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances... Fait
Lecture des informations d'état... Fait     
darktable est déjà la version la plus récente (3.4.1-1build1).
0 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.
root@medion:~#

oups jais oublier ma signature
Répondre
#8
OK, la commande curl n'a pas fonctionné parce que curl n'est pas installé sur votre machine.

Toujours après avoir fait un
Code :
sudo -i

Code :
apt install curl

Puis reprendre à
Code :
curl -fsSL https://download.opensuse.org/repositories/graphics:darktable/xUbuntu_20.04/Release.key | gpg --dearmor | sudo tee /etc/apt/trusted.gpg.d/graphics_darktable.gpg > /dev/null
apt update
apt install darktable
Ubuntu 20.04 + dt stable depuis 3.6
Pentax K-3 II + objectifs Pentax et Sigma

Répondre
#9
Ce qui est étonnant est que vous aviez réussi à installer la 3.6 en août et qu'il aurait été plus simple de reprendre sur votre propre même sujet ici : https://forums.darktable.fr/showthread.php?tid=5855
Aussi appelé Nilvus !
Ubuntu 20.04 LTS - darktable master
Répondre
#10
C'est bien ce qu'il me semblait !!!!!!!
Répondre


Atteindre :


Utilisateur(s) parcourant ce sujet : 1 visiteur(s)